Skip to content

ReDoS in normalize-url

high severity Published Jun 8, 2021 • Updated Jun 29, 2021

Package

npm normalize-url (npm)

Affected versions

>= 5.0.0, < 5.3.1
>= 6.0.0, < 6.0.1
>= 4.3.0, < 4.5.1

Patched versions

5.3.1
6.0.1
4.5.1

Description

The normalize-url package before 4.5.1, 5.x before 5.3.1, and 6.x before 6.0.1 for Node.js has a ReDoS (regular expression denial of service) issue because it has exponential performance for data: URLs.

References

CVE ID

CVE-2021-33502

CVSS Score

7.5 High
CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H